package com.inteligr8.activiti.mq;

import org.activiti.bpmn.model.Activity;
import org.activiti.engine.delegate.event.ActivitiActivityEvent;
import org.activiti.engine.delegate.event.ActivitiEvent;
import org.activiti.engine.delegate.event.ActivitiEventListener;

public abstract class AbstractActivityListener implements ActivitiEventListener {
	
	private final String processDefId;
	private final Activity activity;
	
	public AbstractActivityListener(String processDefId, Activity activity) {
		this.processDefId = processDefId;
		this.activity = activity;
	}
	
	public abstract void onEvent(ActivitiActivityEvent event);
	
	@Override
	public final void onEvent(ActivitiEvent event) {
		if (!event.getProcessDefinitionId().equals(this.processDefId))
			return;
		if (!(event instanceof ActivitiActivityEvent))
			return;
		
		ActivitiActivityEvent aaevent = (ActivitiActivityEvent) event;
		if (!aaevent.getActivityId().equals(this.activity.getId()))
			return;
		
		this.onEvent(aaevent);
	}

}
