package com.inteligr8.activiti.mq;

public class Constants {

	/**
	 * These are the BPMN field names set on the ServiceTask in the MQ stencil
	 */
	public static final String FIELD_METADATA_PROCESS_SCOPE = "mq_metadataProcessScope";
	public static final String FIELD_CONNECTOR_ID = "mq_connectorId";
	public static final String FIELD_QUEUE_NAME = "mq_queueName";
	public static final String FIELD_MESSAGE_NAME = "mq_messageName";
	public static final String FIELD_CONCURRENCY = "mq_concurrency";
	public static final String FIELD_PRIORITY = "mq_priority";
	public static final String FIELD_REPLY_QUEUE_NAME = "mq_replyQueueName";
	public static final String FIELD_STATUS_QUEUE_NAME = "mq_statusQueueName";
	public static final String FIELD_PAYLOAD = "mq_payload";
	public static final String FIELD_PAYLOAD_MIME_TYPE = "mq_payloadMimeType";
	
	/**
	 * These are the variable names set on tasks or process instances
	 * 
	 * When an `mq_messageName` field is provided, it is appended to the end of these variable names (e.g. `mq_messageId_{mq_messageName}`)
	 */
	public static final String VARIABLE_CORRELATION_ID = "mq_correlationId";
	public static final String VARIABLE_MESSAGE_ID = "mq_messageId";
	public static final String VARIABLE_DELIVERY_TIME = "mq_deliveryTime";
	public static final String VARIABLE_PRIORITY = "mq_priority";
	public static final String VARIABLE_REPLY_QUEUE_NAME = "mq_replyQueueName";
	public static final String VARIABLE_STATUS_QUEUE_NAME = "mq_statusQueueName";
	public static final String VARIABLE_PAYLOAD = "mq_payload";
	public static final String VARIABLE_PAYLOAD_MIME_TYPE = "mq_payloadMimeType";

}
