package com.inteligr8.activiti.mq.jms;

import java.io.IOException;
import java.io.InputStream;

import javax.jms.BytesMessage;
import javax.jms.JMSException;

public class BytesMessageInputStream extends InputStream {
	
	private final BytesMessage bmessage;
	
	public BytesMessageInputStream(BytesMessage bmessage) {
		this.bmessage = bmessage;
	}
	
	@Override
	public int read() throws IOException {
		try {
			return this.bmessage.readByte();
		} catch (JMSException je) {
			throw new IOException(je);
		}
	}
	
	@Override
	public int read(byte[] b) throws IOException {
		try {
			return this.bmessage.readBytes(b);
		} catch (JMSException je) {
			throw new IOException(je);
		}
	}
	
	@Override
	public int read(byte[] b, int off, int len) throws IOException {
		try {
			if (off > 0)
				// skip offset bytes
				this.bmessage.readBytes(new byte[off], off);
			return this.bmessage.readBytes(b, len);
		} catch (JMSException je) {
			throw new IOException(je);
		}
	}

}
