package com.inteligr8.activiti.mq.jms;

import java.io.IOException;
import java.io.OutputStream;

import javax.jms.BytesMessage;
import javax.jms.JMSException;

public class BytesMessageOutputStream extends OutputStream {
	
	private final BytesMessage bmessage;
	
	public BytesMessageOutputStream(BytesMessage bmessage) {
		this.bmessage = bmessage;
	}
	
	@Override
	public void write(int b) throws IOException {
		try {
			this.bmessage.writeByte((byte) b);
		} catch (JMSException je) {
			throw new IOException(je);
		}
	}
	
	@Override
	public void write(byte[] b) throws IOException {
		try {
			this.bmessage.writeBytes(b);
		} catch (JMSException je) {
			throw new IOException(je);
		}
	}
	
	@Override
	public void write(byte[] b, int offset, int length) throws IOException {
		try {
			this.bmessage.writeBytes(b, offset, length);
		} catch (JMSException je) {
			throw new IOException(je);
		}
	}

}
