package com.inteligr8.activiti.mq.jms;

import java.io.IOException;
import java.io.InputStream;

import javax.jms.JMSException;
import javax.jms.StreamMessage;

public class StreamMessageInputStream extends InputStream {
	
	private final StreamMessage smessage;
	
	public StreamMessageInputStream(StreamMessage smessage) {
		this.smessage = smessage;
	}
	
	@Override
	public int read() throws IOException {
		try {
			return this.smessage.readByte();
		} catch (JMSException je) {
			throw new IOException(je);
		}
	}
	
	@Override
	public int read(byte[] b) throws IOException {
		try {
			return this.smessage.readBytes(b);
		} catch (JMSException je) {
			throw new IOException(je);
		}
	}

}
