package com.inteligr8.activiti.mq.jms;

import java.io.IOException;
import java.io.OutputStream;

import javax.jms.JMSException;
import javax.jms.StreamMessage;

public class StreamMessageOutputStream extends OutputStream {
	
	private final StreamMessage smessage;
	
	public StreamMessageOutputStream(StreamMessage smessage) {
		this.smessage = smessage;
	}
	
	@Override
	public void write(int b) throws IOException {
		try {
			this.smessage.writeByte((byte) b);
		} catch (JMSException je) {
			throw new IOException(je);
		}
	}
	
	@Override
	public void write(byte[] b) throws IOException {
		try {
			this.smessage.writeBytes(b);
		} catch (JMSException je) {
			throw new IOException(je);
		}
	}
	
	@Override
	public void write(byte[] b, int offset, int length) throws IOException {
		try {
			this.smessage.writeBytes(b, offset, length);
		} catch (JMSException je) {
			throw new IOException(je);
		}
	}

}
